# Installation

npm i @mehira/web-react-sdk

# How to use Auth Widget

1. Import the Mehira provider and AuthComponent

`import { AuthComponent, MehiraProvider } from '@mehira/web-react-sdk'`

2. Add them anywhere to your code provide your _apiUrl_, _publicKey_, and _auth_ as shown below

```
<MehiraProvider.Provider
value={{
        apiUrl: $yourApiUrl,
        auth: {
            enableGithubAuth: true,
            enableGoogleAuth: true,
            enableSlackAuth: true
        },
        publicKey:"test",
    }}

    >

        <AuthComponent />

    </MehiraProvider.Provider>
```

# How to use lead generation widget

1. Import the Mehira provider and AuthComponent

`import { LeadGenerationWidget, MehiraProvider } from '@mehira/web-react-sdk'`

2. Add them anywhere to your code provide your _apiUrl_, _publicKey_, and _auth_, you can also provide headingText, headingSubText, emailPlaceholder, submitButtonText props for the leadGenerationWidget as shown below:

```
<MehiraProvider.Provider
value={{
        apiUrl: "test",

        publicKey:"test",
    }}
    >

      <LeadGenerationWidget
        headingText="Subscribe to our Email"
        headingSubText="Get ahead of everyone else!"
      />

    </MehiraProvider.Provider>
```
